      SUBROUTINE DEST ( V, D_VAR )

      INCLUDE 'agg.h'

C V - Concentration of variable species                            
      REAL*8 V(1+NVAR)
C D_VAR - Destruction term                                         
      REAL*8 D_VAR(1+NVAR)

C Destruction function                                             
      D_VAR(1) = 0
      D_VAR(2) = 0.24
      D_VAR(3) = 0.24
      D_VAR(4) = 0.24
      D_VAR(5) = 2181.1
      D_VAR(6) = 1.2178e-12*V(65)
      D_VAR(7) = RCONST(10)+2.2e-10*F(1)
      D_VAR(8) = RCONST(48)
      D_VAR(9) = 1.4e-11*V(51)
      D_VAR(10) = RCONST(88)*F(4)
      D_VAR(11) = 436.22+600000
      D_VAR(12) = 0.0001882*V(47)
      D_VAR(13) = 7.7494e-07*V(65)
      D_VAR(14) = RCONST(63)*V(60)
      D_VAR(15) = 1.087e-12*V(60)+1.3833e-06+0.24
      D_VAR(16) = 0.15579+2.2e+09
      D_VAR(17) = RCONST(69)*V(60)
      D_VAR(18) = 6.8e-13*V(52)
      D_VAR(19) = 1.3e-21*F(1)+RCONST(19)+0.075
      D_VAR(20) = RCONST(30)+RCONST(31)*V(60)
      D_VAR(21) = 148.71+1.495e-07*V(64)+1.052e-07*V(64)
      D_VAR(22) = RCONST(23)+6.6e-12*V(60)+1e-20*2*V(22)
      D_VAR(23) = RCONST(34)+RCONST(35)*V(60)+0.33
      D_VAR(24) = 8.1e-12*V(52)+4.2
      D_VAR(25) = RCONST(85)*V(52)+RCONST(86)*V(62)+RCONST(87)*2*V(25)
      D_VAR(26) = 0.00026016*V(65)+1.771e-05*V(64)
      D_VAR(27) = 8.8422+8.6e+06+7.196e-07*V(64)
      D_VAR(28) = 26599+3.6e+06
      D_VAR(29) = 16.358+2.768e-07*V(57)
      D_VAR(30) = RCONST(53)+1600+1.5e-11*V(51)
      D_VAR(31) = 5.535e-06*V(64)+1.993e-11*V(47)
      D_VAR(32) = 1.7e-11*V(60)+RCONST(74)
      D_VAR(33) = 2.2e-13*V(60)
      D_VAR(34) = 4.1e-11*V(60)+2.2e-11*V(53)
      D_VAR(35) = RCONST(27)*V(60)+0.24
      D_VAR(36) = 4.428e-05*V(57)+2.768e-07*V(63)
      D_VAR(37) = RCONST(60)*V(50)+RCONST(61)*V(60)+RCONST(62)*V(54)
      D_VAR(38) = 3e-11*V(60)+RCONST(71)+RCONST(72)*V(54)
      D_VAR(39) = 0.00083029*V(65)+5.535e-06*V(61)+1.384e-07*V(58)
      D_VAR(40) = 8.1e-13*V(60)
      D_VAR(41) = 4.982e-05*V(57)+5.535e-06*V(63)+2.214e-09*V(56)
     *           +0.00025+1.661e-07*V(46)+5.535e-08*V(61)
      D_VAR(42) = 1.8e-11*V(50)+9.6e-11*V(60)+1.2e-17*V(54)+3.2e-13
     *           *V(53)
      D_VAR(43) = RCONST(56)*V(50)+RCONST(57)*V(60)+RCONST(58)*V(54)
     *           +7.7e-15*V(53)
      D_VAR(44) = RCONST(46)*V(52)+RCONST(47)*V(51)+2e-12*2*V(44)
     *           +6.5e-12*V(62)
      D_VAR(45) = 2.38e-06*V(64)+5.535e-08*V(57)+6.642e-09*V(63)
     *           +5.535e-15*V(56)+4.539e-09*V(61)
      D_VAR(46) = 0.0004583+8.303e-07*V(57)+5.535e-11*V(63)+1.661e-07
     *           *V(41)+5.535e-15*V(59)
      D_VAR(47) = 0.00071958*V(65)+0.0001882*V(12)+1.993e-11*V(31)
      D_VAR(48) = 1e-11*V(60)+RCONST(38)+RCONST(39)+RCONST(40)*V(50)
     *           +6.3e-16*V(53)+0.24
      D_VAR(49) = RCONST(42)*V(50)+RCONST(43)*V(60)+2.5e-15*V(53)
     *           +RCONST(45)
      D_VAR(50) = RCONST(2)+9.3e-12*V(51)+RCONST(5)*V(51)+RCONST(6)
     *           *V(52)+RCONST(40)*V(48)+RCONST(42)*V(49)+RCONST(56)
     *           *V(43)+RCONST(60)*V(37)+1.8e-11*V(42)
      D_VAR(51) = RCONST(1)+9.3e-12*V(50)+RCONST(5)*V(50)+RCONST(7)
     *           *V(54)+RCONST(16)*V(53)+RCONST(17)*V(53)+4.39999e-40
     *           *V(52)*F(1)+RCONST(26)*V(60)+RCONST(29)*V(62)
     *           +RCONST(47)*V(44)+1.5e-11*V(30)+1.4e-11*V(9)
      D_VAR(52) = RCONST(3)*V(54)+RCONST(6)*V(50)+RCONST(15)*V(53)
     *           +RCONST(20)*2*V(52)+4.39999e-40*V(51)*F(1)+RCONST(22)
     *           *V(60)+RCONST(28)*V(62)+RCONST(46)*V(44)+8.1e-12
     *           *V(24)+8.1e-12*V(55)+6.8e-13*V(18)+RCONST(85)*V(25)
      D_VAR(53) = RCONST(14)+RCONST(15)*V(52)+RCONST(16)*V(51)
     *           +RCONST(17)*V(51)+6.3e-16*V(48)+2.5e-15*V(49)+7.7e-15
     *           *V(43)+2.2e-11*V(34)+3.2e-13*V(42)+0.24
      D_VAR(54) = RCONST(3)*V(52)+RCONST(7)*V(51)+RCONST(8)+RCONST(9)
     *           +RCONST(12)*V(60)+RCONST(13)*V(62)+RCONST(58)*V(43)
     *           +RCONST(62)*V(37)+RCONST(72)*V(38)+1.2e-17*V(42)
     *           +0.0105
      D_VAR(55) = 8.1e-12*V(52)+RCONST(80)*2*V(55)+0.24
      D_VAR(56) = 0.6079+7.219e-06+1.495e-07*V(64)+5.535e-15*V(59)
     *           +5.535e-15*V(45)+2.214e-09*V(41)
      D_VAR(57) = 5.5353e-05*V(65)+5.535e-08*V(45)+8.303e-07*V(46)
     *           +4.982e-05*V(41)+4.428e-05*V(36)+8.303e-06*V(61)
     *           +5.535e-07*V(63)+2.768e-07*V(29)
      D_VAR(58) = 5.1931+1.107e-05*V(64)+1.384e-07*V(39)
      D_VAR(59) = 1.6606e-06*V(65)+10000+2.491e-05*V(64)+5.535e-15
     *           *V(56)+5.535e-15*V(46)+1.716e-09*V(61)
      D_VAR(60) = RCONST(12)*V(54)+RCONST(22)*V(52)+6.6e-12*V(22)
     *           +RCONST(26)*V(51)+RCONST(27)*V(35)+RCONST(31)*V(20)
     *           +RCONST(35)*V(23)+2.2e-13*V(33)+1e-11*V(48)
     *           +RCONST(43)*V(49)+RCONST(51)+8.1e-13*V(40)+RCONST(57)
     *           *V(43)+RCONST(61)*V(37)+RCONST(63)*V(14)+4.1e-11
     *           *V(34)+RCONST(69)*V(17)+3e-11*V(38)+1.7e-11*V(32)
     *           +9.6e-11*V(42)+1.087e-12*V(15)+RCONST(84)*F(5)+0.24
      D_VAR(61) = 130120+1.661e-05*V(64)+8.303e-06*V(57)+5.535e-08
     *           *V(41)+4.539e-09*V(45)+1.716e-09*V(59)+5.535e-06
     *           *V(39)+2.355e-05
      D_VAR(62) = RCONST(13)*V(54)+RCONST(28)*V(52)+RCONST(29)*V(51)
     *           +RCONST(32)*2*V(62)+RCONST(33)*2*V(62)*F(1)+6.5e-12
     *           *V(44)+RCONST(86)*V(25)+0.33
      D_VAR(63) = 22.492+160000+6.642e-09*V(45)+5.535e-11*V(46)
     *           +5.535e-06*V(41)+2.768e-07*V(36)+5.535e-07*V(57)
     *           +4.594e-09*2*V(63)
      D_VAR(64) = 3.6351+1.107e-05*V(58)+1.771e-05*V(26)+7.196e-07
     *           *V(27)+2.491e-05*V(59)+5.535e-06*V(31)+2.38e-06*V(45)
     *           +1.495e-07*V(56)+1.661e-05*V(61)+1.495e-07*V(21)
     *           +1.052e-07*V(21)
      D_VAR(65) = 0.00071958*V(47)+0.00026016*V(26)+5.5353e-05*V(57)
     *           +1.6606e-06*V(59)+0.00083029*V(39)+7.7494e-07*V(13)
     *           +1.2178e-12*V(6)
      RETURN
      END
