% This is Jan's stiffly accurate, with embedded L-stable Rosenbrock,
% order 2, 2 fcns & 3 substitutions
s=3;

GAM = [1      0    0  
       0      1    0  
       -0.5  -0.5  1];
      
C = eye(s)-inv(GAM)       

A = [0 0 0 
     1 0 0 
     1 0 0];
    
    
A1 = A*inv(GAM) 

b = [0.5  -0.5  1]';
m = b'*inv(GAM)

bhat = [1 0 0]';
n = bhat'*inv(GAM);
d = m-n

B = A + GAM;
OMEGA = inv(B)

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*b'*inv(eye(s)-sqrt(-1)*z*B)*ones(s,1);
end
plot(r);title('R');
pause

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*bhat'*inv(eye(s)-sqrt(-1)*z*B)*ones(s,1);
end
plot(r);title('R_hat');
