#include atoms

#DEFVAR                  
    SO4		= S + 4O;            
    ACTA	= 2C + 4H + 2O; 		{ CH3COOH }
    R3N2	= N + IGNORE;   
    SUCA	= 			IGNORE;  
    GLUA	= 			IGNORE;   
    ADIA	= 			IGNORE;                                   
    PRN2	= 2N + IGNORE;   
    PRPN	= N + IGNORE;  
    OZID	= 			IGNORE;   
    MSA		= S + IGNORE; 
    DOL6	= 			IGNORE;   
    DOL7	= 			IGNORE;   
    DOL8	= 			IGNORE;   
    CPET	= 			IGNORE;             
    CHEX	= 			IGNORE;   
    MACA	= 			IGNORE;   
    PYVA	= 			IGNORE;  
    DMS		= 2C + 6H + S; 			{ CH3-S-CH3 }   
    C2H6	= 2C + 6H;   
    C3H8	= 3C + 8H;   
    MPAN	= N + IGNORE;  
    IPAN	= N + IGNORE;   
    H2O2	= 2H + 2O;   
    AROM	= 			IGNORE;  
    TPAN	= 4C + 3H + 6O + N;		{ CHOCH=CHCO3NO2 }   
    N2O5	= 2N + 5O;             
    HONO	= H + 2O + N;   
    RAN2	= N + IGNORE;   
    CH4		= C + 4H;   
    ALKA	= 			IGNORE;   
    HNO4	= H + N + 4O;   
    PAN		= 2C + 3H + 5O + N;		{ CH3CO3NO2 }       
    ACO2	= 2H + C + 2O; 			{ HCOOH }   
    DIAL	= 			IGNORE;   
    GLYX	= 2C + 2H + 2O;			{ CHOCHO }   
    CRES	= 			IGNORE;   
    AHO2	= 3H + 3O + C; 			{ HOCH2O2 }    
    RAN1	= N + IGNORE;   
    ZO2		= 			IGNORE;                        
    ETHE	= 			IGNORE;             
    CO		= C + O;      
    MGLY	= 3C + 4H + 2O; 	 	{ CH3COCHO }            
    MAN2	= N + IGNORE;   
    TO2		= 			IGNORE;     
    HAC		= 			IGNORE;              
    R3O2	= 			IGNORE;    
    EO2		= 			IGNORE;     
    PO2		= 			IGNORE;    
    MRO2	= 			IGNORE;   
    MVN2	= N + IGNORE;             
    ETO2	= 2C + 5H + 2O;			{ C2H5O2 }   
    PRN1	= N + IGNORE;                       
    RIO2	= 			IGNORE;    
    TCO3	= 4C + 3H + 4O; 		{ CHOCH=CHCO3 }  
    INO2	= N + IGNORE;   
    HACO	= 			IGNORE;                       
    HNO3	= H + N + 3O;   
    MGGY	= 			IGNORE;   
    VRO2	= 			IGNORE;   
    RAO2	= 			IGNORE;   
    KET		= 			IGNORE;   
    KO2		= 			IGNORE;                        
    ALKE	= 			IGNORE;   
    ISOP	= 			IGNORE;   
    MO2		= C + 3H + 2O;			{ CH3O2 }     
    MAO3	= 			IGNORE;    
    CRO2	= 2C + 4H + 2O;			{ CH3CHO2 }   
    MCRG	= 			IGNORE;   
    MVKO	= 			IGNORE;                                             
    MAOO	= 			IGNORE;    
    ROOH	= 			IGNORE;   
    MCO3	= 2C + 3H + 3O; 		{ CH3CO2 }   
    MACR	= 			IGNORE;   
    O3		= 3O;     
    MVK		= 			IGNORE;    
    NO		= N + O;     
    HO2		= H + 2O;                        
    OH		= O + H;      
    CHO2	= C + 2H + 2O;			{ CH2O2 }    
    NO2		= N + 2O;   
    HCHO	= 2H + C + O;   
    SO2		= S + 2O;    
    ALD2	= 			IGNORE;  
    NO3		= N + 3O;   


#DEFFIX
    H2O		= H + 2O;    
    O2		= 2O;      
    CO2		= C + 2O;    
    H2		= 2H;

